Bug 47157 - Update port: editors/wily
Summary: Update port: editors/wily
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joseph Koshy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-17 09:10 UTC by Serge Gagnon
Modified: 2003-02-07 08:03 UTC (History)
0 users

See Also:


Attachments
patch-wily-4 (3.55 KB, text/plain)
2003-01-17 09:10 UTC, Serge Gagnon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Gagnon 2003-01-17 09:10:10 UTC
	- Build and install some tools in the wily tarball to make the
	behaviour of wily much closer of acme.

	New file:
	files/patch-aa
	files/patch-ab
	files/patch-ac
	pkg-message
Comment 1 Tilman Keskinoz freebsd_committer 2003-01-18 18:03:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->	 jkoshy

Over to Maintainer
Comment 2 Serge Gagnon 2003-01-19 14:43:25 UTC
I'm sorry but, I would like to add some corrections to the patch
I sent.

	-New file:
	pkg-message
	files/patch-aa

diff -urN wily.orig/Makefile wily/Makefile
--- wily.orig/Makefile	Thu Apr 13 20:25:52 2000
+++ wily/Makefile	Sun Jan 19 09:22:21 2003
@@ -18,6 +18,11 @@
 USE_XLIB=	YES
 GNU_CONFIGURE=	YES
 USE_GMAKE=	YES
+MAN1=		wgoto.1 win.1 wreplace.1 Tag.1 mktags.1 Man.1
+
+# Must run autoconf and configure script in the tools directory.
+post-configure:
+	cd ${WRKSRC}/tools/win; autoconf; ./configure
 
 WILYDOCDIR=	${PREFIX}/share/doc/wily
 WILYTUTEDIR=	${WILYDOCDIR}/tute
@@ -40,5 +45,6 @@
 		${INSTALL_DATA} ${WRKSRC}/Doc/$${f} ${WILYDOCDIR}/$${f}; \
 	done
 .endif
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>
diff -urN wily.orig/pkg-message wily/pkg-message
--- wily.orig/pkg-message	Wed Dec 31 19:00:00 1969
+++ wily/pkg-message	Sun Jan 19 09:23:53 2003
@@ -0,0 +1,7 @@
+
+Some wily-tools have been added:
+wreplace win wgoto mktags Man Tag
+Refer to their man page to know what they are doing.
+
+The wily(1) man page has not been installed because it's not up-to-date.
+You have to refer to the ${PREFIX}/share/doc/wily documentation.
diff -urN wily.orig/pkg-plist wily/pkg-plist
--- wily.orig/pkg-plist	Mon Sep  7 00:11:07 1998
+++ wily/pkg-plist	Sun Jan 19 09:22:21 2003
@@ -1,4 +1,10 @@
+bin/Man
+bin/Tag
+bin/mktags
+bin/wgoto
 bin/wily
+bin/win
+bin/wreplace
 share/doc/wily/index.html
 share/doc/wily/intro.html
 share/doc/wily/download.html

/*---------------------- and the files/patch-aa --------------------*/

--- Makefile.in.orig	Sun Jan 19 08:44:47 2003
+++ Makefile.in	Sun Jan 19 08:49:06 2003
@@ -2,9 +2,9 @@
 srcdir=@srcdir@
 VPATH=@srcdir@
 
-SUBDIRS=libXg libframe libmsg wily
+SUBDIRS=libXg libframe libmsg wily tools/win
 
-all:	wily/wily
+all:	wily/wily win
 
 wily/wily: libXg/libXg.a libframe/libframe.a libmsg/libmsg.a
 	cd wily; $(MAKE) $(MFLAGS)
@@ -14,9 +14,11 @@
 	cd libframe; $(MAKE) $(MFLAGS) all
 libmsg/libmsg.a:
 	cd libmsg; $(MAKE) $(MFLAGS) all
-
+win:
+	cd tools/win; $(MAKE) $(MFLAGS)
 install:	all
 	cd wily; $(MAKE) $(MFLAGS) install
+	cd tools/win; $(MAKE) $(MFLAGS) install
 clean:
 	for i in $(SUBDIRS); do \
 		(cd $$i; $(MAKE) $(MFLAGS) $@); \
--- tools/win/Makefile.in.orig	Sun Jan 19 09:03:49 2003
+++ tools/win/Makefile.in	Sun Jan 19 09:05:36 2003
@@ -3,6 +3,7 @@
 srcdir			= @srcdir@
 VPATH			= @srcdir@
 
+wilydir			= ../../
 prefix			= @prefix@
 exec_prefix		= @exec_prefix@
 bindir			= $(exec_prefix)/bin
@@ -12,9 +13,9 @@
 INSTALL_DATA	= @INSTALL_DATA@
 
 CC				= @CC@
-CFLAGS			= @CFLAGS@ -I.. -I$(srcdir)/../include -I$(srcdir)/../sam/include
+CFLAGS			= @CFLAGS@ -I$(wilydir) -I$(wilydir)/include
 DEFS			= @DEFS@
-LIBS			= @LIBS@ ../libmsg/libmsg.a  ../sam/libXg/libXg.a
+LIBS			= $(wilydir)/libmsg/libmsg.a  $(wilydir)/libXg/libXg.a
 LDFLAGS			= @LDFLAGS@
 
 RC				= @RC@
--- tools/win/Man.rc.orig	Sun Jan 19 08:59:21 2003
+++ tools/win/Man.rc	Sun Jan 19 08:59:41 2003
@@ -10,6 +10,6 @@
 }
 
 name = `{ echo $*($#*) }
-man $* >[2=1] | col -bx | wreplace -c '+Man '^$name^':,'
+man $* >[2=1] | col -bx | wreplace -c '~Man '^$name^':,'
 
 exit
Comment 3 Serge Gagnon 2003-01-22 04:07:37 UTC
Don't use both the first and second patch I sent (again).

Change:
	- remove a stale URL and add a good one
	- remove some things that make portlint not happy
	- change the URL of the homepage

Here is the patch:

diff -urN ../wily.orig/Makefile ./Makefile
--- ../wily.orig/Makefile	Thu Apr 13 20:25:52 2000
+++ ./Makefile	Tue Jan 21 22:29:03 2003
@@ -8,16 +8,23 @@
 PORTNAME=	wily
 PORTVERSION=	0.13.41
 CATEGORIES=	editors plan9
-MASTER_SITES=	ftp://ftp.northsea.com/pub/plan9_unix/wily/src/ \
-		ftp://ftp.cs.york.ac.uk/pub/mhw/wily/src/ \
+MASTER_SITES=	ftp://ftp.cs.yorku.ca/pub/wily/src/old/ \
+		ftp://ftp.math.tau.ac.il/pub/laden/wily/src/ \
 		ftp://ftp.cs.su.oz.au/gary/wily/src/old/
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	jkoshy@freebsd.org
+MAINTAINER=	gagnon__s@videotron.ca
+
+RUN_DEPENDS=	${LOCALBASE}/bin/rc:${PORTSDIR}/shells/rc
 
 USE_XLIB=	YES
 GNU_CONFIGURE=	YES
 USE_GMAKE=	YES
+MAN1=		wgoto.1 win.1 wreplace.1 Tag.1 mktags.1 Man.1
+
+# Must run autoconf and configure script in the tools directory.
+post-configure:
+	cd ${WRKSRC}/tools/win; autoconf; ./configure
 
 WILYDOCDIR=	${PREFIX}/share/doc/wily
 WILYTUTEDIR=	${WILYDOCDIR}/tute
@@ -40,5 +47,6 @@
 		${INSTALL_DATA} ${WRKSRC}/Doc/$${f} ${WILYDOCDIR}/$${f}; \
 	done
 .endif
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>
diff -urN ../wily.orig/files/patch-aa ./files/patch-aa
--- ../wily.orig/files/patch-aa	Wed Dec 31 19:00:00 1969
+++ ./files/patch-aa	Sun Jan 19 16:03:24 2003
@@ -0,0 +1,59 @@
+ --- Makefile.in.orig	Sun Jan 19 08:44:47 2003
+ +++ Makefile.in	Sun Jan 19 08:49:06 2003
+ @@ -2,9 +2,9 @@
+  srcdir=@srcdir@
+  VPATH=@srcdir@
+  
+ -SUBDIRS=libXg libframe libmsg wily
+ +SUBDIRS=libXg libframe libmsg wily tools/win
+  
+ -all:	wily/wily
+ +all:	wily/wily win
+  
+  wily/wily: libXg/libXg.a libframe/libframe.a libmsg/libmsg.a
+  	cd wily; $(MAKE) $(MFLAGS)
+ @@ -14,9 +14,11 @@
+  	cd libframe; $(MAKE) $(MFLAGS) all
+  libmsg/libmsg.a:
+  	cd libmsg; $(MAKE) $(MFLAGS) all
+ -
+ +win:
+ +	cd tools/win; $(MAKE) $(MFLAGS)
+  install:	all
+  	cd wily; $(MAKE) $(MFLAGS) install
+ +	cd tools/win; $(MAKE) $(MFLAGS) install
+  clean:
+  	for i in $(SUBDIRS); do \
+  		(cd $$i; $(MAKE) $(MFLAGS) $@); \
+ --- tools/win/Makefile.in.orig	Sun Jan 19 09:03:49 2003
+ +++ tools/win/Makefile.in	Sun Jan 19 09:05:36 2003
+ @@ -3,6 +3,7 @@
+  srcdir			= @srcdir@
+  VPATH			= @srcdir@
+  
+ +wilydir			= ../../
+  prefix			= @prefix@
+  exec_prefix		= @exec_prefix@
+  bindir			= $(exec_prefix)/bin
+ @@ -12,9 +13,9 @@
+  INSTALL_DATA	= @INSTALL_DATA@
+  
+  CC				= @CC@
+ -CFLAGS			= @CFLAGS@ -I.. -I$(srcdir)/../include -I$(srcdir)/../sam/include
+ +CFLAGS			= @CFLAGS@ -I$(wilydir) -I$(wilydir)/include
+  DEFS			= @DEFS@
+ -LIBS			= @LIBS@ ../libmsg/libmsg.a  ../sam/libXg/libXg.a
+ +LIBS			= $(wilydir)/libmsg/libmsg.a  $(wilydir)/libXg/libXg.a
+  LDFLAGS			= @LDFLAGS@
+  
+  RC				= @RC@
+ --- tools/win/Man.rc.orig	Sun Jan 19 08:59:21 2003
+ +++ tools/win/Man.rc	Sun Jan 19 08:59:41 2003
+ @@ -10,6 +10,6 @@
+  }
+  
+  name = `{ echo $*($#*) }
+ -man $* >[2=1] | col -bx | wreplace -c '+Man '^$name^':,'
+ +man $* >[2=1] | col -bx | wreplace -c '~Man '^$name^':,'
+  
+  exit
diff -urN ../wily.orig/pkg-descr ./pkg-descr
--- ../wily.orig/pkg-descr	Tue Nov 20 17:33:56 2001
+++ ./pkg-descr	Tue Jan 21 22:29:38 2003
@@ -3,4 +3,4 @@
 
 Wily works best with 3 button rodents. 
 
-WWW: http://www.cs.su.oz.au/~gary/wily/
\ No newline at end of file
+WWW: http://www.cs.yorku.ca/~oz/wily/
diff -urN ../wily.orig/pkg-message ./pkg-message
--- ../wily.orig/pkg-message	Wed Dec 31 19:00:00 1969
+++ ./pkg-message	Tue Jan 21 21:54:18 2003
@@ -0,0 +1,6 @@
+Some wily-tools have been added:
+wreplace win wgoto mktags Man Tag
+Refer to their man page to know what they are doing
+
+The wily(1) man page has not been installed because it's out-of-date
+You have to refer to the ${PREFIX}/share/doc/wily documentation
diff -urN ../wily.orig/pkg-plist ./pkg-plist
--- ../wily.orig/pkg-plist	Mon Sep  7 00:11:07 1998
+++ ./pkg-plist	Sun Jan 19 09:22:21 2003
@@ -1,4 +1,10 @@
+bin/Man
+bin/Tag
+bin/mktags
+bin/wgoto
 bin/wily
+bin/win
+bin/wreplace
 share/doc/wily/index.html
 share/doc/wily/intro.html
 share/doc/wily/download.html
Comment 4 Joseph Koshy freebsd_committer 2003-02-07 08:02:46 UTC
State Changed
From-To: open->closed

Patch committed with modifications.  Thank you for contributing.